Bug 1713980 - Dualshock 3 controller won't stay connected
Summary: Dualshock 3 controller won't stay connected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 30
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-26 11:14 UTC by haakobja
Modified: 2019-06-17 14:03 UTC (History)
23 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-17 14:03:58 UTC


Attachments (Terms of Use)

Description haakobja 2019-05-26 11:14:14 UTC
Description of problem:
Cannot connect my Dualshock 3 controller via bluetooth. The controller keeps reconnecting (connecting and disconnecting)

Version-Release number of selected component (if applicable):
5.50-6  

How reproducible:
Very

Steps to Reproduce:
1. Connect the dualshock 3 with USB
2. Trust the device
3. Disconnect the USB cable
3. Push the PS-button on the controller

Actual results:
Controller connects and disconnects contiously

Expected results:
Controller connects and stays connected 

Additional info:

Comment 1 Bastien Nocera 2019-06-05 10:47:18 UTC
Could you please test with kernel 5.1.5 (or newer)?

Comment 2 Randy Barlow 2019-06-11 15:09:40 UTC
I tested my PS3 controller with kernel-5.1.6-300.fc30.x86_64 and it paired and seemed stable.

Comment 3 haakobja 2019-06-17 12:56:42 UTC
Hi, 

I've tried with a newer kernel, and the Dualshock 3 controller connects and stays connected.
I think this bug can be closed.

Regards

Comment 4 Bastien Nocera 2019-06-17 14:03:58 UTC
(In reply to haakobja from comment #3)
> Hi, 
> 
> I've tried with a newer kernel, and the Dualshock 3 controller connects and
> stays connected.
> I think this bug can be closed.
> 
> Regards

Great, thanks for the feedback!


Note You need to log in before you can comment on or make changes to this bug.